gluingperms.h File Reference

Deals with selecting gluing permutations to complement a particular pairing of facets of simplices in an n-manifold triangulation. More...

`#include "regina-core.h"`
`#include "triangulation/facetspec.h"`
`#include "triangulation/forward.h"`
`#include "maths/perm.h"`

## Classes

class | regina::GluingPerms< dim >
| Represents a specific set of gluing permutations to complement a particular pairwise matching of simplex facets. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

template<int dim>
using | regina::NGenericGluingPerms = GluingPerms< dim >
| Deprecated typedef for backward compatibility. More...
typedef GluingPerms< 2 > | regina::Dim2GluingPerms
| Deprecated typedef for backward compatibility. More...
typedef GluingPerms< 3 > | regina::NGluingPerms
| Deprecated typedef for backward compatibility. More...
typedef GluingPerms< 4 > | regina::Dim4GluingPerms
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Deals with selecting gluing permutations to complement a particular pairing of facets of simplices in an n-manifold triangulation.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).